<?php
namespace Claromentis\Core\Twig;

$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] ?: array()) + array("_e632e86b02887f94d49b7ed76a3ebc" . "dc" => base64_decode("VGVtcGxhdGUgbm90IG" . "ZvdW5k"), "_523a40c" . "86a0eb0d" . "317646ab" . "2bbd40de" . "8" => base64_decode("Tm8gdGVtcGx" . "hdGUgcmVxdW" . "VzdGVk"), "templa" . "te" => base64_decode("dGVtcG" . "xhdGU="), "_2c83c05de4fa1408a298026d" . "fb8d94b9" => base64_decode("Y2ZnX2RldmVsb3Blcl9tb" . "2Rl"), "_69100b7c21ef" . "ad30d73e5c90a" . "439a5ce" => base64_decode("Ly4q" . "XC50" . "d2ln" . "JC8="), "_d155d43a39de93f858123" . "c6b6ce31d8a" => base64_decode("cHJlZ19tYXRjaA=" . "="), "_7313d9106eada68fc893a6d6" . "733b58a6" => base64_decode("VGVtcGxhdGUgZG9lcyBub3QgZW5kIHdpdG" . "ggdGhlICoudHdpZyBleHRlbnNpb24="));
use Claromentis\Core\Config\Config;
use Claromentis\Core\Http\TwigResponse;
use Claromentis\Core\Http\TwigTemplaterResponse;
use Psr\Http\Message\ServerRequestInterface;
use Symfony\Component\HttpKernel\Exception\BadRequestHttpException;
use Symfony\Component\HttpKernel\Exception\NotFoundHttpException;
use Twig;






class TwigTestController
{
    
    
    
    
    protected $config;
    
    
    
    
    protected $twig_loader;
    public function __construct(Config $config, \Twig\Loader\LoaderInterface $twig_loader)
    {
        $this->config = $config;
        $this->twig_loader = $twig_loader;
    }
    
    
    
    
    
    
    
    public function ShowTwigTemplate(ServerRequestInterface $request)
    {
        return new TwigResponse($this->GetTemplateName($request));
    }
    
    
    
    
    
    
    
    public function ShowHybridTwigTemplate(ServerRequestInterface $request)
    {
        $template = $this->GetTemplateName($request);
        $_678d945258a520c3df1c42fe4b558f34 = $template;
        return new TwigTemplaterResponse($template, [], $_678d945258a520c3df1c42fe4b558f34);
    }
    
    
    
    
    
    
    
    
    
    
    
    protected function GetTemplateName(ServerRequestInterface $request) : string
    {
        $parameters = $request->getQueryParams();
        $template = $request->getAttribute($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["templat" . "e"]) ?: $parameters[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["templ" . "ate"]] ?? null;
        $_e47cb992e2e9e375e1dab801827a32c4 = $this->config->Get($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_2c83c05de4fa1408" . "a298026dfb8d94b9"]) > 0;
        $_268a831bcda9f9cd9c43c5a1a1d23cff = $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_d155d43a39de9" . "3f858123c6b6ce" . "31d8a"]($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_69100b7c21efad3" . "0d73e5c90a439a5c" . "e"], $template);
        if (!$_e47cb992e2e9e375e1dab801827a32c4) {
            throw new NotFoundHttpException();
        }
        if (empty($template)) {
            throw new BadRequestHttpException($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_523a40c86a0eb0d317646ab2bbd40" . "de8"]);
        }
        if (!$_268a831bcda9f9cd9c43c5a1a1d23cff) {
            throw new BadRequestHttpException($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_7313d9106eada68f" . "c893a6d6733b58a6"]);
        }
        if (!$this->twig_loader->exists($template)) {
            throw new NotFoundHttpException($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_e632e86b02887f94d49b7ed" . "76a3ebcdc"]);
        }
        return $template;
    }
}